PHP is amongst the most widely used interpreted programming languages. It is pretty popular because it is free software, which you can use to set up responsive websites like social networking websites, web shops or online teaching sites rather than static HTML-based websites. A PHP module must be present on the server where a PHP-driven website is hosted so that its source code can be ‘decoded’. Because there are no license taxes for this sort of module and the language itself provides limitless options for the web-based applications that you create, there’re hundreds of millions of PHP-powered websites. In addition, there are tons of open-source PHP-based scripts, which you can use for your sites without the need to possess any programming know-how. Since there are a handful of versions of PHP, you ought to verify whether the exact same version that you used whilst building your website is enabled on the server as well.

PHP 4, PHP 5 and PHP 7 Support in Cloud Web Hosting

With our cloud web hosting, you’ll be able to select which PHP version will be enabled for your shared account, since several versions are supported on our servers. With only one click of the mouse, you’ll be able to switch between PHP 4, 5, 7 and whenever a new version is launched in the future, we will add it to the Hepsia hosting Control Panel without removing the previous ones. In this way, you’ll be able to host all the sites that you have built over the years. In stark contrast to many other web hosts, we will not compel you to update such sites, because a script may be out of date, but this does not necessarily mean that it is insecure since you may have edited its code to repair safety breaches. For the sake of your convenience, you’ll even be able to select a different version of PHP for each website hosted in your account.

PHP 4, PHP 5 and PHP 7 Support in Semi-dedicated Hosting

If you have a site created in an older version of PHP and you have dedicated time and efforts towards developing it, fixing safety holes and entering content, you’ll need a web hosting service that can support it, as nearly all hosting providers nowadays offer only the newest PHP version and give up the earlier versions. We, on the other hand, have decided to let you select the version that your own sites require. Our Linux semi-dedicated packages support PHP 4, PHP 5 and PHP 7, which goes to say that you’ll be able to run both older and newer scripts without losing any manual tweaks or frittering away time attempting to make your websites compatible with the web hosting environment. The current version can be changed through the Hepsia hosting Control Panel and such an update will apply to the entire semi-dedicated account, but you will also be able to set a different PHP version for each site that you host in your account using an .htaccess config file.